%filter_from_requires /^perl.LWP.Protocol.https10.pm./d
%define module_version 0.10.5.4
%define module_name Text-ClearSilver
# BEGIN SourceDeps(oneline):
BuildRequires: connman-devel perl-devel libfcgi-devel libruby-devel perl(Archive/Tar.pm) perl(CPAN.pm) perl(Devel/PPPort.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(Fatal.pm) perl(HTML/Template/Pro.pm) perl(IPC/Cmd.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Parse/CPAN/Meta.pm) perl(Template.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Text/MicroTemplate.pm) perl(Text/Patch.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) python-devel zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10.5.4
Release: alt7
Summary: Perl interface to the ClearSilver template engine
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CR/CRAFTWORK/%{module_name}-%{module_version}.tar.gz
# from freebsd
Patch: patch-noe_err.h

%description
Text::ClearSilver is a Perl binding to the ClearSilver template engine.


%prep
%setup -q -n %{module_name}-%{module_version}
%patch -p0

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README cs/python/README.txt Changes cs/LICENSE example
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.10.5.4-alt7
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.10.5.4-alt6.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.10.5.4-alt5.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.10.5.4-alt5
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.10.5.4-alt4
- rebuild to get rid of unmets

* Mon Mar 28 2016 Igor Vlasenko <viy@altlinux.ru> 0.10.5.4-alt3
- fixed build with newer gcc

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> 0.10.5.4-alt2
- rebuild to get rid of unmets

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.10.5.4-alt1
- initial import by package builder

